#4501 closed defect (fixed)

TraceConverter.cc: Uncaught exception issue spotted by Coverity

Reported by: Ryan Long Owned by: Ryan Long <ryan.long@…>
Priority: normal Milestone: 6.1
Component: tool Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

CID 1471639: Uncaught exception

   CID 1471639 (#1-9 of 9): Uncaught exception (UNCAUGHT_EXCEPT)root_function: In function main(int, char **) an exception of type rld::error is thrown and never caught.
.
.
.
   fun_call_w_exception: Called function throws an exception of type rld::error. [show details]
144    executableInfo = new Coverage::ExecutableInfo(
145      executable,
146      "",
147      false,
148      symbolsToAnalyze
149    );

Change History (7)

comment:1 Changed on Oct 8, 2021 at 1:58:46 PM by Ryan Long <ryan.long@…>

Owner: set to Ryan Long <ryan.long@…>
Resolution: fixed
Status: newclosed

In 234c19e/rtems-tools:

TraceConverter?.cc: Add catch for exception

CID 1471639: Uncaught exception

Closes #4501

comment:2 Changed on Oct 8, 2021 at 7:17:21 PM by Ryan Long

Resolution: fixed
Status: closedreopened

comment:3 Changed on Oct 13, 2021 at 5:05:08 PM by Ryan Long <ryan.long@…>

Resolution: fixed
Status: reopenedclosed

In 958aa5b/rtems-tools:

TraceConverter?.cc: Add catch for exception

CID 1471639: Add catch for exception

Closes #4501

comment:4 Changed on Oct 18, 2021 at 3:32:48 PM by Ryan Long

Resolution: fixed
Status: closedreopened

comment:5 Changed on Nov 4, 2021 at 3:43:20 PM by Ryan Long <ryan.long@…>

Resolution: fixed
Status: reopenedclosed

In d1df4f6/rtems-tools:

TraceConverter?.cc: Add catch for exception

CID 1471639: Add catch for exception

Closes #4501

comment:6 Changed on Nov 15, 2021 at 8:13:41 PM by Ryan Long

Resolution: fixed
Status: closedreopened

comment:7 Changed on Nov 30, 2021 at 4:00:21 PM by Ryan Long <ryan.long@…>

Resolution: fixed
Status: reopenedclosed

In 59ca889/rtems-tools:

TraceConverter?.cc: Add final catch for exceptions

CID 1471639: Add catch for exception

Closes #4501

Note: See TracTickets for help on using tickets.